coreEngine.Calibration.Organisms

## Class PBDemOrg

- java.lang.Object
- - coreEngine.Calibration.Organism
  - - coreEngine.Calibration.Organisms.PBDemOrg

- Direct Known Subclasses:
    PBDemCDPOrg

      public class PBDemOrg
      extends Organism

  Author:
    jltrask

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected StringProfile[][]` | `adjFactors`
    `protected PBDemOrg` | `baseOrg`

    - ### Fields inherited from class coreEngine.Calibration.Organism

      `alg, capacityDropPct, fitness, FITNESS_TYPE, FITNESS_TYPE2, geometry, multiFitness, mutationPct, numProfiles, profileMapping, scenIdx, seedIdx`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PBDemOrg(GeneticAlgorithm alg, int dim1, int dim2)`
    `PBDemOrg(GeneticAlgorithm alg, int seedIdx, int dim1, int dim2)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `applyMeme()`
    `void` | `assignAFToSeed(int seg, int per)`
    `void` | `calcFitness()`
    `void` | `calcMultiFitness()`
    `void` | `calcSingleFitness()`
    `Organism[]` | `crossover(Organism mate)`
    `void` | `decrementAF(int type, int numInc, int seg, int per)`
    `float` | `getAF(int type, int seg, int per)`
    `java.lang.String` | `getBinAF(int type, int seg, int per)`
    `PBDemOrg` | `getChildOrg(java.lang.String[][][] newArr)`
    `Organism` | `getDeepCopy()`
    `int` | `getDim1()`
    `int` | `getDim2()`
    `float[]` | `getEncodingArray(int period)`
    `java.lang.String` | `getEncodingString()`
    `float` | `getSigma()`
    `void` | `incrementAF(int type, int numInc, int seg, int per)`
    `boolean` | `isSmoothed()`
    `void` | `mutate()`
    `void` | `setAFs(java.lang.String[][][] afArr)`
    `void` | `setBinAF(java.lang.String afBinString, int type, int seg, int per)`

    - ### Methods inherited from class coreEngine.Calibration.Organism

      `checkFitnessDiversity, getFitness, getScenarioIndex, getSeedBaseFitness, getSeedIdx, setGeometry, setScenarioIndex, setSeedIdx`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### adjFactors

          protected final StringProfile[][] adjFactors

    - #### baseOrg

          protected PBDemOrg baseOrg

  - ### Constructor Detail

    - #### PBDemOrg

          public PBDemOrg(GeneticAlgorithm alg,
                          int dim1,
                          int dim2)

    - #### PBDemOrg

          public PBDemOrg(GeneticAlgorithm alg,
                          int seedIdx,
                          int dim1,
                          int dim2)

  - ### Method Detail

    - #### getChildOrg

          public PBDemOrg getChildOrg(java.lang.String[][][] newArr)

    - #### setAFs

          public void setAFs(java.lang.String[][][] afArr)

    - #### assignAFToSeed

          public void assignAFToSeed(int seg,
                                     int per)

      Specified by:
        `assignAFToSeed` in class `Organism`

    - #### calcFitness

          public void calcFitness()

      Specified by:
        `calcFitness` in class `Organism`

    - #### calcSingleFitness

          public void calcSingleFitness()

    - #### calcMultiFitness

          public void calcMultiFitness()

    - #### getEncodingArray

          public float[] getEncodingArray(int period)

      Specified by:
        `getEncodingArray` in class `Organism`

    - #### mutate

          public void mutate()

      Specified by:
        `mutate` in class `Organism`

    - #### crossover

          public Organism[] crossover(Organism mate)

      Specified by:
        `crossover` in class `Organism`
      Returns:

    - #### getEncodingString

          public java.lang.String getEncodingString()

      Specified by:
        `getEncodingString` in class `Organism`

    - #### getDeepCopy

          public Organism getDeepCopy()

      Specified by:
        `getDeepCopy` in class `Organism`

    - #### getAF

          public float getAF(int type,
                             int seg,
                             int per)

    - #### getBinAF

          public java.lang.String getBinAF(int type,
                                           int seg,
                                           int per)

    - #### setBinAF

          public void setBinAF(java.lang.String afBinString,
                               int type,
                               int seg,
                               int per)

    - #### getDim1

          public int getDim1()

    - #### getDim2

          public int getDim2()

    - #### isSmoothed

          public boolean isSmoothed()

    - #### getSigma

          public float getSigma()

    - #### incrementAF

          public void incrementAF(int type,
                                  int numInc,
                                  int seg,
                                  int per)

    - #### decrementAF

          public void decrementAF(int type,
                                  int numInc,
                                  int seg,
                                  int per)

    - #### applyMeme

          public int applyMeme()

      Specified by:
        `applyMeme` in class `Organism`